Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package ant
  Definition Classes
    tools
-  package sabbus
  Definition Classes
    ant
- Break
- CompilationFailure
- CompilationPathProperty
- Compiler
- Compilers
- ForeignCompiler
- Make
- ScalacFork
- Settings
- TaskArgs
- Use

c

scala.tools.ant.sabbus

# Make 

###

#### class Make extends Task with TaskArgs

Source
  Make.scala

Linear Supertypes
TaskArgs, CompilationPathProperty, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Make
2. TaskArgs
3. CompilationPathProperty
4. Task
5. ProjectComponent
6. Cloneable
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Make()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Make to any2stringadd[Make] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Make, B)
   Implicit
     This member is added by an implicit conversion from Make to ArrowAssoc[Make] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  final def bindToOwner(arg0: Task): Unit
   Definition Classes
     Task
8.  def clone(): AnyRef
   Definition Classes
     ProjectComponent → AnyRef
   Annotations
     @throws( ... )
9.  val compTarget: Option[String]
   Attributes
     protected
   Definition Classes
     TaskArgs
10.  val compilationPath: Option[Path]
    Attributes
      protected
    Definition Classes
      CompilationPathProperty
11.  val compilerPath: Option[Path]
    Attributes
      protected
    Definition Classes
      TaskArgs
12.  def createCompilationPath: Path
    Definition Classes
      CompilationPathProperty
13.  def createCompilerArg(): Argument
    Definition Classes
      TaskArgs
14.  def createCompilerPath: Path
    Definition Classes
      TaskArgs
15.  def createSrcPath: Path
    Definition Classes
      TaskArgs
16.  val destinationDir: Option[File]
    Attributes
      protected
    Definition Classes
      TaskArgs
17.  def ensuring(cond: (Make) ⇒ Boolean, msg: ⇒ Any): Make
    Implicit
      This member is added by an implicit conversion from Make to Ensuring[Make] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: (Make) ⇒ Boolean): Make
    Implicit
      This member is added by an implicit conversion from Make to Ensuring[Make] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean, msg: ⇒ Any): Make
    Implicit
      This member is added by an implicit conversion from Make to Ensuring[Make] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  def ensuring(cond: Boolean): Make
    Implicit
      This member is added by an implicit conversion from Make to Ensuring[Make] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
23.  def execute(): Unit
    Definition Classes
      Make → Task
24.  val extraArgs: Seq[Argument]
    Attributes
      protected
    Definition Classes
      TaskArgs
25.  def extraArgsFlat: Seq[String]
    Definition Classes
      TaskArgs
26.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
27.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Make to StringFormat[Make] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
28.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
29.  def getDescription(): String
    Definition Classes
      ProjectComponent
30.  def getLocation(): Location
    Definition Classes
      ProjectComponent
31.  def getOwningTarget(): Target
    Definition Classes
      Task
32.  def getProject(): Project
    Definition Classes
      ProjectComponent
33.  def getRuntimeConfigurableWrapper(): RuntimeConfigurable
    Definition Classes
      Task
34.  def getTaskName(): String
    Definition Classes
      Task
35.  def getTaskType(): String
    Definition Classes
      Task
36.  def getWrapper(): RuntimeConfigurable
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
37.  def handleErrorFlush(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
38.  def handleErrorOutput(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
39.  def handleFlush(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
40.  def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )
41.  def handleOutput(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
42.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
43.  val id: Option[String]
    Attributes
      protected
    Definition Classes
      TaskArgs
44.  def init(): Unit
    Definition Classes
      Task
    Annotations
      @throws( ... )
45.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
46.  final def isInvalid(): Boolean
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
47.  def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit
    Definition Classes
      Task
48.  def log(arg0: java.lang.Throwable, arg1: Int): Unit
    Definition Classes
      Task
49.  def log(arg0: String, arg1: Int): Unit
    Definition Classes
      Task → ProjectComponent
50.  def log(arg0: String): Unit
    Definition Classes
      Task → ProjectComponent
51.  def maybeConfigure(): Unit
    Definition Classes
      Task
    Annotations
      @throws( ... )
52.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
53.  final def notify(): Unit
    Definition Classes
      AnyRef
54.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
55.  final def perform(): Unit
    Definition Classes
      Task
56.  def reconfigure(): Unit
    Definition Classes
      Task
57.  def setCompilationPath(input: Path): Unit
    Definition Classes
      CompilationPathProperty
58.  def setCompilationPathRef(input: Reference): Unit
    Definition Classes
      CompilationPathProperty
59.  def setCompilerPath(input: Path): Unit
    Definition Classes
      TaskArgs
60.  def setCompilerPathRef(input: Reference): Unit
    Definition Classes
      TaskArgs
61.  def setDescription(arg0: String): Unit
    Definition Classes
      ProjectComponent
62.  def setDestdir(input: File): Unit
    Definition Classes
      TaskArgs
63.  def setId(input: String): Unit
    Definition Classes
      TaskArgs
64.  def setLocation(arg0: Location): Unit
    Definition Classes
      ProjectComponent
65.  def setOwningTarget(arg0: Target): Unit
    Definition Classes
      Task
66.  def setParams(input: String): Unit
    Definition Classes
      TaskArgs
67.  def setProject(arg0: Project): Unit
    Definition Classes
      ProjectComponent
68.  def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit
    Definition Classes
      Task
69.  def setSrcPath(input: Path): Unit
    Definition Classes
      TaskArgs
70.  def setSrcPathRef(input: Reference): Unit
    Definition Classes
      TaskArgs
71.  def setTarget(input: String): Unit
    Definition Classes
      TaskArgs
72.  def setTaskName(arg0: String): Unit
    Definition Classes
      Task
73.  def setTaskType(arg0: String): Unit
    Definition Classes
      Task
74.  val sourcePath: Option[Path]
    Attributes
      protected
    Definition Classes
      TaskArgs
75.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
76.  def toString(): String
    Definition Classes
      AnyRef → Any
77.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
78.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
79.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
80.  def →[B](y: B): (Make, B)
    Implicit
      This member is added by an implicit conversion from Make to ArrowAssoc[Make] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from TaskArgs

### Inherited from CompilationPathProperty

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Make to any2stringadd[Make]

### Inherited by implicit conversion StringFormat from Make to StringFormat[Make]

### Inherited by implicit conversion Ensuring from Make to Ensuring[Make]

### Inherited by implicit conversion ArrowAssoc from Make to ArrowAssoc[Make]

### Ungrouped